This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 446761 - Wrong lock dialog theme
Wrong lock dialog theme
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-15 17:58 EDT by Mathieu Bridon
Modified: 2015-01-14 18:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:10:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Lock dialog (77.64 KB, image/png)
2008-05-15 17:58 EDT, Mathieu Bridon
no flags Details

  None (edit)
Description Mathieu Bridon 2008-05-15 17:58:14 EDT
Description of problem:
With gconf, one can set the value of the key apps -> gnome-screensaver ->
lock-dialog-theme to "system" which will use a Fedora themed lock dialog instead
of the plain Gnome "default" (never understood why this isn't the default after
a fresh install by the way).

However, on Fedora 9, the theme of this lock dialog is incorrect as it is set to
Infinity instead of Waves.

Version-Release number of selected component (if applicable):
gnome-screensaver-2.22.1-1.fc9.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Set theabove mentioned key to the "system" value
2. Lock the screen
  
Actual results:
Lock dialog uses the Infinity theme

Expected results:
Lock dialog should use the Waves theme
Comment 1 Mathieu Bridon 2008-05-15 17:58:14 EDT
Created attachment 305549 [details]
Lock dialog
Comment 2 Ray Strode [halfline] 2008-05-16 09:54:20 EDT
yea, we have a themed lock dialog done by Paul Frields, but we haven't added it
yet.  It will show up as an update.
Comment 3 Mathieu Bridon 2008-05-16 11:37:48 EDT
Ok, sorry for the bug report, I didn't know about that :)
Comment 4 Ray Strode [halfline] 2008-05-16 23:59:03 EDT
No, it's good.  I need to be poked to remember to do it :-)
Comment 5 Mathieu Bridon 2008-08-18 15:03:05 EDT
Just poking you, as you said in previous comment :)
Comment 6 Ray Strode [halfline] 2008-08-18 16:18:19 EDT
Thank you, probably won't happen until the beta freeze, but I appreciate the pokes :-)
Comment 7 Mathieu Bridon 2008-10-19 11:33:43 EDT
The same problem is in Rawhide.

I suppose the Solar dialog is not ready yet as the background is still Waves in Snap2, but it would be nice if F10 had the Solar lock dialog at GA :)
Comment 8 Mathieu Bridon 2009-04-05 05:52:16 EDT
Fixed in F10 btw.

No idea in F9 as I don't have it anymore.
Comment 9 Bug Zapper 2009-06-09 20:52:47 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Mathieu Bridon 2009-06-20 05:43:06 EDT
Okay, Fedora 9 is going EOL very soon, so I guess we can drop this issue for F9. In fact, it might even have been fixed for F9, I have no idea.

As mentioned before, it was fixed in Fedora 10.

However, I'm moving the issue to Fedora 11 as the unlock dialog in the one from F10 (Solar).

Is it an « every other release » issue ? :)
Comment 11 Bug Zapper 2010-04-27 08:03:21 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Mathieu Bridon 2010-04-28 14:26:29 EDT
In F12, there is no more nice theme, just plain GTK but without the «leave a message » button.

Was this functionality completely dropped?
Comment 13 Bug Zapper 2010-11-04 07:55:01 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2010-12-05 02:10:47 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.